slepc-3.21.1 2024-04-26
Report Typos and Errors

# NEPComputeError

Computes the error (based on the residual norm) associated with the i-th computed eigenpair.

### Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPComputeError(NEP nep,PetscInt i,NEPErrorType type,PetscReal *error)

Collective

### Input Parameters

| nep | - the nonlinear eigensolver context
| i | - the solution index
| type | - the type of error to compute

### Output Parameter

| error | - the error

### Notes

The error can be computed in various ways, all of them based on the residual norm computed as ||T(lambda)x||_2 where lambda is the eigenvalue and x is the eigenvector.

### See Also

NEPErrorType, NEPSolve(), NEPGetErrorEstimate()

### Level

beginner

### Location

src/nep/interface/nepsolve.c

### Examples

src/nep/tutorials/ex20.c
src/nep/tutorials/ex20f.F90
Index of all NEP routines
Table of Contents for all manual pages
Index of all manual pages